org.eclipse.gef.mvc.fx.parts

## Interface IResizableContentPart<V extends javafx.scene.Node>

Type Parameters:
  `V` - The visual node used by this `IResizableContentPart`.

All Superinterfaces:
  IActivatable, IAdaptable, IAdaptable.Bound<IViewer>, IContentPart<V>, IDisposable, IVisualPart<V>

All Known Subinterfaces:
  IBendableContentPart<V>

    public interface IResizableContentPart<V extends javafx.scene.Node>
    extends IContentPart<V>

An `IContentPart` that supports content related resize.

### Property Summary

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`Dimension` `getContentSize()` Returns the current size according to this part's content.
`default Dimension` `getVisualSize()` Returns the current size according to this `IResizableContentPart` 's visual.
`void` `setContentSize(Dimension totalSize)` Resizes the content element as specified by the given `Dimension`.
`default void` `setVisualSize(Dimension totalSize)` Resizes the visual of this `IResizableContentPart` to the given size.

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, getContent, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, removeContentChild, reorderContentChild, setContent`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Method Detail

#### getContentSize

    Dimension getContentSize()

Returns the current size according to this part's content.

Returns:
  The current size according to this part's content.

#### getVisualSize

    default Dimension getVisualSize()

Returns the current size according to this `IResizableContentPart` 's visual.

Returns:
  The current size according to this `IResizableContentPart` 's visual.

#### setContentSize

    void setContentSize(Dimension totalSize)

Resizes the content element as specified by the given `Dimension`.

Parameters:
  `totalSize` - The new size.

#### setVisualSize

    default void setVisualSize(Dimension totalSize)

Resizes the visual of this `IResizableContentPart` to the given size.

Parameters:
  `totalSize` - The new size for this `IResizableContentPart`'s visual.